# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  decoy.exe disscope.exe

include Makefile-include.txt

.PHONY: test
test: decoy.exe disscope.exe
	./decoy.exe
	./disscope.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump decoy disscope

decoy.o: decoy.c ../../V/Vlibmath.h ../../util/error.h ../../util/timer.h ../../util/units.h ../dis/dis.h ../dis/disx.h ../dis/earth.h
	$(CC) $(CFLAGS) -c decoy.c -o decoy.o

decoy.exe: ../../V/Vlibmath.o ../../util/error.o ../../util/memory.o ../../util/timer.o ../../util/units.o ../dis/datum.o ../dis/dis.o ../dis/disx.o ../dis/earth.o ../dis/xdr.o ../dis/xdr_dis.o decoy.o
	$(CC) $(CFLAGS) -o decoy.exe  ../../V/Vlibmath.o ../../util/error.o ../../util/memory.o ../../util/timer.o ../../util/units.o ../dis/datum.o ../dis/dis.o ../dis/disx.o ../dis/earth.o ../dis/xdr.o ../dis/xdr_dis.o decoy.o $(LIBS) -lm 

disscope.o: disscope.c ../../V/Vlibmath.h ../dis/dis.h ../dis/earth.h
	$(CC) $(CFLAGS) -c disscope.c -o disscope.o

disscope.exe: ../../V/Vlibmath.o ../../util/error.o ../../util/memory.o ../../util/units.o ../dis/datum.o ../dis/dis.o ../dis/earth.o ../dis/xdr.o ../dis/xdr_dis.o disscope.o
	$(CC) $(CFLAGS) -o disscope.exe  ../../V/Vlibmath.o ../../util/error.o ../../util/memory.o ../../util/units.o ../dis/datum.o ../dis/dis.o ../dis/earth.o ../dis/xdr.o ../dis/xdr_dis.o disscope.o $(LIBS) -lm 

# Checksum of the original file: 770107327
